fullnameOverride: dashboard
dashboard:
  host: ${dashboard_domain}
  resources:
    limits:
      memory: 24Mi
    requests:
      cpu: 10m
      memory: 12Mi
backend:
  secretKey: ${backend_secret_key}
  password: ${backend_password}
  smtp:
    enabled: ${outgoing_mail_enabled}
    user: "${outgoing_mail_smtp_user}"
    password: "${outgoing_mail_smtp_password}"
    host: "${outgoing_mail_smtp_host}"
    port: "${outgoing_mail_smtp_port}"
  kratos:
    publicUrl: https://${dashboard_domain}/kratos
    adminUrl: http://kratos-admin
  hydra:
    adminUrl: http://hydra-admin:4445

  loginPanelUrl: https://${dashboard_domain}/web/
  databaseUrl: mysql+pymysql://stackspin:${dashboard_database_password}@single-sign-on-database-mariadb/stackspin

  initialUser:
    email: ${admin_email}
    password: ${userbackend_admin_password}

  oidc:
    clientId: dashboard
    clientSecret: ${client_secret}
    baseUrl: "https://${hydra_domain}"
    authorizationBaseUrl: "https://${hydra_domain}/oauth2/auth"
    tokenUrl: "https://${hydra_domain}/oauth2/token"
  resources:
    limits:
      memory: 360Mi
    requests:
      cpu: 24m
      memory: 180Mi
ingress:
  certManager: true
  enabled: true
  hostname: ${dashboard_domain}
  tls:
  - hosts:
    - ${dashboard_domain}
    secretName: stackspin-dashboard

